### Hierarchy

- JsonFormsAngularService

## Index

### Properties

- _state
- state

### Accessors

- $state

### Methods

- addRenderer
- getState
- init
- refresh
- registerRenderer
- registerRenderers
- removeRenderer
- setData
- setLocale
- setReadonly
- setRenderers
- setSchema
- setUiSchema
- setUiSchemas
- unregisterRenderer
- updateConfig
- updateCore
- updateCoreState
- updateLocale
- updateSubject
- updateUiSchema
- updateValidationMode

## Properties

### Private _state

_state: JsonFormsSubStates

- Defined in jsonforms.service.ts:56

### Private state

state: BehaviorSubject<JsonFormsState>

- Defined in jsonforms.service.ts:57

## Accessors

### $state

- get $state(): Observable<JsonFormsState>

- - Defined in jsonforms.service.ts:69

  #### Returns Observable<JsonFormsState>

## Methods

### addRenderer

- addRenderer(renderer: JsonFormsBaseRenderer<UISchemaElement>, tester: RankedTester): void

- - Defined in jsonforms.service.ts:82

  #### Parameters

  - ##### renderer: JsonFormsBaseRenderer<UISchemaElement>

  - ##### tester: RankedTester

  #### Returns void

### getState

- getState(): JsonFormsState

- - Defined in jsonforms.service.ts:187

  #### Returns JsonFormsState

### init

- init(initialState?: JsonFormsSubStates): void

- - Defined in jsonforms.service.ts:59

  #### Parameters

  - ##### Default value initialState: JsonFormsSubStates = { core: { data: undefined, schema: undefined, uischema: undefined } }

  #### Returns void

### refresh

- refresh(): void

- - Defined in jsonforms.service.ts:191

  #### Returns void

### registerRenderer

- registerRenderer(renderer: JsonFormsBaseRenderer<UISchemaElement>, tester: RankedTester): void

- - Defined in jsonforms.service.ts:79
  deprecated

    use JsonFormsAngularService.addRenderer

  #### Parameters

  - ##### renderer: JsonFormsBaseRenderer<UISchemaElement>

  - ##### tester: RankedTester

  #### Returns void

### registerRenderers

- registerRenderers(renderers: JsonFormsRendererRegistryEntry[]): void

- - Defined in jsonforms.service.ts:90
  deprecated

    use {@link JsonFormsAngularService.setRenderer}

  #### Parameters

  - ##### renderers: JsonFormsRendererRegistryEntry[]

  #### Returns void

### removeRenderer

- removeRenderer(tester: RankedTester): void

- - Defined in jsonforms.service.ts:104

  #### Parameters

  - ##### tester: RankedTester

  #### Returns void

### setData

- setData(data: any): void

- - Defined in jsonforms.service.ts:171

  #### Parameters

  - ##### data: any

  #### Returns void

### setLocale

- setLocale(locale: string): void

- - Defined in jsonforms.service.ts:177

  #### Parameters

  - ##### locale: string

  #### Returns void

### setReadonly

- setReadonly(readonly: boolean): void

- - Defined in jsonforms.service.ts:182

  #### Parameters

  - ##### readonly: boolean

  #### Returns void

### setRenderers

- setRenderers(renderers: JsonFormsRendererRegistryEntry[]): void

- - Defined in jsonforms.service.ts:93

  #### Parameters

  - ##### renderers: JsonFormsRendererRegistryEntry[]

  #### Returns void

### setSchema

- setSchema(schema: JsonSchema | undefined): void

- - Defined in jsonforms.service.ts:163

  #### Parameters

  - ##### schema: JsonSchema | undefined

  #### Returns void

### setUiSchema

- setUiSchema(uischema: UISchemaElement | undefined): void

- - Defined in jsonforms.service.ts:156

  #### Parameters

  - ##### uischema: UISchemaElement | undefined

  #### Returns void

### setUiSchemas

- setUiSchemas(uischemas: object[]): void

- - Defined in jsonforms.service.ts:144

  #### Parameters

  - ##### uischemas: object[]

  #### Returns void

### unregisterRenderer

- unregisterRenderer(tester: RankedTester): void

- - Defined in jsonforms.service.ts:101
  deprecated

    use JsonFormsAngularService.removeRenderer

  #### Parameters

  - ##### tester: RankedTester

  #### Returns void

### updateConfig

- updateConfig<T>(setConfigAction: T): T

- - Defined in jsonforms.service.ts:149

  #### Type parameters

  - #### T: SetConfigAction

  #### Parameters

  - ##### setConfigAction: T

  #### Returns T

### updateCore

- updateCore<T>(coreAction: T): T

- - Defined in jsonforms.service.ts:127

  #### Type parameters

  - #### T: CoreActions

  #### Parameters

  - ##### coreAction: T

  #### Returns T

### updateCoreState

- updateCoreState(data: any | unique symbol, schema: JsonSchema | unique symbol, uischema: UISchemaElement | unique symbol, ajv: Ajv | unique symbol, validationMode: ValidationMode | unique symbol): void

- - Defined in jsonforms.service.ts:195

  #### Parameters

  - ##### data: any | unique symbol

  - ##### schema: JsonSchema | unique symbol

  - ##### uischema: UISchemaElement | unique symbol

  - ##### ajv: Ajv | unique symbol

  - ##### validationMode: ValidationMode | unique symbol

  #### Returns void

### updateLocale

- updateLocale<T>(localeAction: T): T

- - Defined in jsonforms.service.ts:120

  #### Type parameters

  - #### T: LocaleActions

  #### Parameters

  - ##### localeAction: T

  #### Returns T

### Private updateSubject

- updateSubject(): void

- - Defined in jsonforms.service.ts:212

  #### Returns void

### updateUiSchema

- updateUiSchema<T>(uischemaAction: T): T

- - Defined in jsonforms.service.ts:137
  deprecated

    use JsonFormsAngularService.setUiSchemas

  #### Type parameters

  - #### T: UISchemaActions

  #### Parameters

  - ##### uischemaAction: T

  #### Returns T

### updateValidationMode

- updateValidationMode(validationMode: ValidationMode): void

- - Defined in jsonforms.service.ts:114

  #### Parameters

  - ##### validationMode: ValidationMode

  #### Returns void

Generated using TypeDoc